Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 24 Oct 2014, 15:17
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Ov-Precise updated iso starts on page 8 No longer AVAILABLE
Moderators: Flash, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 3 of 11 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, ..., 9, 10, 11 Next
Author Message
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Fri 10 Aug 2012, 09:40    Post_subject:  

# find /lib/modules -name "dvb-usb-it913x*"
/lib/modules/3.4.2-dpup/kernel/drivers/media/dvb/dvb-usb/dvb-usb-it913x.ko

At least my 3.4.2 kernel includes it. When I have time...I will check if the module can be compiled for Precise Puppy kernel....if it is missing.
I mean if the kernel source has needed module source available. I can compile all possible missing dvb modules the same time.

Ubuntu kernel cant be used for Puppy. Puppy kernel needs aufs to be included and Puppy kernel has other patches also. What kernel version you use...does not make the distro. IMHO. It is the libraries....packages and other framework which makes the distro. You can change the kernel many times and still you use the same distro packages and libraries. Of course kernel version dependent kernel module drivers needs recompile and update.
I thought that you can update kernel in ubuntu distros also by distro update or something. I dont much use anything other than Puppies so I am bit at dark side of the kernels. I mean that you are not dependent of one kernel version rest of the time when you download ubuntu distro.

Thank you of more clearly defined missing kernel module request.

Edit: # CONFIG_DVB_USB_IT913X is not set
It means that the requested dvb-usb module can be compiled and included as extra kernel module driver pet.
Back to top
View user's profile Send_private_message 
oldyeller


Joined: 15 Nov 2011
Posts: 812
Location: Mishawaka IN

PostPosted: Fri 10 Aug 2012, 11:24    Post_subject:  

Hello everyone,

splot

I am very sorry about that I have no idea or clue about kernels or modules. I don't know how to compile them even-sorry

Could see if one of the dev's would like pemasu or 01Micko. I had nothing to do with the building of Precise that was all Barryk and pemasu which I thank very much for all of thier work.



01micko

How would I change the bit color to 24 for default?



pemasu

I have no idea on how long the life is on this kernel that is being used or if I need a different one. You big dogs are the brains behind puppy. I am just glad that I can help in any way to get Precise up and running for everyone.

How can we start putting pets in the repo for precise?
Cheers
Back to top
View user's profile Send_private_message 
LateAdopter

Joined: 27 May 2011
Posts: 164
Location: Reading UK

PostPosted: Fri 10 Aug 2012, 16:39    Post_subject:  

Hello Oldyeller

I'm pleased to see that you have picked up Precise Puppy where BK left off.

I believe there was a basic problem with the kernel in BK's version:
Radeon KMS was not working and KMS is mandatory for the current Xorg Radeon GPU driver stack.

My interpretation of the errors was that Radeon KMS was enabled in the Radeon kernel module but disabled in the DRM kernel module

The result was a fatal error when the two met while the xserver was loading and it quit leaving you with no display or keyboard.

If KMS was disabled, e.g.with radeon.modeset=0, then what happened depended on the age of the GPU.

With my RS880 it would do DRI which gave 2D acceleration but no 3D. But with the newer Evergreen it falls back to a pseudo VESA mode with no acceleration.

I notice that 01micko is looking into this kind of problem on the latest Slacko alpha.

I wonder whether, when he has it working, his kernel might be usable in Precise, to fix the problem. Slacko and Precise are both using 3.2 series kernels.

The good thing about Precise Puppy is the the package manager works well, and I was able to reload all of the other parts of the GPU driver stack from the Ubuntu repo. They must work, so that just leaves the kernel.
Back to top
View user's profile Send_private_message 
oldyeller


Joined: 15 Nov 2011
Posts: 812
Location: Mishawaka IN

PostPosted: Fri 10 Aug 2012, 17:19    Post_subject:  

Hi LateAdopter

I really don't know anything about compiling kernels at all hopefully we can get one of the dev's to help with this.

All I did was take the step to help get this going and with peoples help like you we surely can.

Maybe Mick, pemasu of even playdayz might be able too if and when they have the time since they have thier own projects

Cheers
Back to top
View user's profile Send_private_message 
01micko


Joined: 11 Oct 2008
Posts: 7835
Location: qld

PostPosted: Fri 10 Aug 2012, 17:59    Post_subject:  

Hi oldyeller and onlookers

I use a "kernel-kit" developed by Iguleder with some severe hacking which has occurred over the last year to fine tune. I have compiled all my kernels since 2.6.39.4 from slacko-531 using this method.

It has a DOTconfig file which I have NOT tested, but includes bluetooth, all wireless and ethernet drivers, as many webcams and cameras, some lirc, and other goodies including KMS turned on for radeon and i915.

It should however build a sane kernel.

It downloads the kernel source, aufs source, patches the kernel automatically, then you get the option to open your choice of kernel configuration utilities. I recommend gconfig (hmmm.. I should put some documentation in the tarball, however this is mainly for my own use, but if it helps people with kernel dev then cool). If you have the nokia qt libs installed I recommend Xconfig, very sleek and has a search feature. Menuconfig is ncurses based, another choice, if you are comfortable with "dialog" then this is the go for simple edits.

After that the kernel builds, also a kernel headers package gets built and source sfs. A pet package needs to be made manually from the dist/packages/linux_kernel* directory.

A build log records everything and is good for debugging.

NOTE: I recommend you edit lines 5 and 6 of build.sh and line 8 when a new kernel ver is available form kernel.org. (already noted by pemasu 3.2.27 is out) YMMV if you drift from k3.2.xx series unless you know what you are doing.

See attached.

EDIT: I reuploaded, the kit was broken, sorry
Kernel-kit-k3.2.XX.tar.bz2
Description 
bz2

 Download 
Filename  Kernel-kit-k3.2.XX.tar.bz2 
Filesize  34.79 KB 
Downloaded  278 Time(s) 

_________________
Woof Mailing List | keep the faith Cool |

Edited_times_total
Back to top
View user's profile Send_private_message Visit_website 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Fri 10 Aug 2012, 18:09    Post_subject:  

There is nothing wrong with 3.2 kernel. It is LTS kernel version...and it will be updated all the time. I would just compile the latest version of 3.2 which is now 3.2.27... at some time. But there is not much need to upgrade it to newer major kernel version. I would say that stay with Barry Kauler`s kernel choice. But that is not my right to say what kernel you would like to use. I only try to humbly say...that 3.2 kernel is good choice atm.

Here is the update pet for this kernel. It adds those non-included dvb-usb drivers. If I checked right, none of them needs firmware.

# ls -m
dvb-usb-it913x.ko, dvb-usb-mxl111sf.ko, dvb-usb-pctv452e.ko, mxl111sf-demod.ko, mxl111sf-tuner.ko
extra-dvb-tuners-0.0.1.pet
Description 
pet

 Download 
Filename  extra-dvb-tuners-0.0.1.pet 
Filesize  31.71 KB 
Downloaded  316 Time(s) 

Edited_times_total
Back to top
View user's profile Send_private_message 
01micko


Joined: 11 Oct 2008
Posts: 7835
Location: qld

PostPosted: Fri 10 Aug 2012, 18:14    Post_subject:  

pemasu.. you use a similar method to build the kernel?

Maybe we should start a thread about this and post our experiences/scripts for others to benefit.

Cheers

_________________
Woof Mailing List | keep the faith Cool |
Back to top
View user's profile Send_private_message Visit_website 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Fri 10 Aug 2012, 18:16    Post_subject:  

Sure. I have posted some version of the kernel build script couple of times...but dedicated thread is not bad idea. The kernel build script just works. That is the main thing to say.
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Fri 10 Aug 2012, 18:41    Post_subject:  

Devx sfs is missing git and git core. Needed for above kernel kit. Aufs source download is done from git repo.
Oops. I am using Barry`s version...so it might be that oldyeller has updated devx sfs. So dismiss this post if git and gitcore has been added.
Back to top
View user's profile Send_private_message 
oldyeller


Joined: 15 Nov 2011
Posts: 812
Location: Mishawaka IN

PostPosted: Fri 10 Aug 2012, 18:49    Post_subject:  

Hello

01Micko and pemasu thank you so very much. I won't change the kernel just wanted to know. thanks for the pet and the tarball.

How can we start to put pets in the repo. I am thinking about a final next week what do you guys think about this?

I really enjoy being on this forum everyone that I have come across have been awesome.

Cheers
Back to top
View user's profile Send_private_message 
splot


Joined: 03 Aug 2012
Posts: 35

PostPosted: Fri 10 Aug 2012, 20:22    Post_subject:  

@pemasu,

Thanks indeed for the .pet.
I now have the device loading perfectly.
It does need the firmware file, which I had.

New problem now with VLC.
Tried 2 .pet pkgs of Twoflower and get 2 different errors.
If the problem can't be spotted from the attached msgs, I will re-get the VLC I used in Ubuntu and try that.

Quote:
[0xb5503b30] main input error: no suitable demux module for `dvb/ts:// :dvb-inversion=2 :dvb-bandwidth=7 :dvb-fec=3 :dvb-fec=1 :dvb-modulation=64 :dvb-transmission=8 :dvb-guard=16 :dvb-hierarchy=-1 :program=567 :dvb-frequency=226500000 :dvb-srate=2318'
[0x80eca80] main stream error: cannot pre fill buffer

and

VLC can't recognize the input's format:
The format of 'dvb:// :dvb-inversion=2 :dvb-bandwidth=7 :dvb-fec=3 :dvb-fec=1 :dvb-modulation=64 :dvb-transmission=8 :dvb-guard=16 :dvb-hierarchy=-1 :program=567 :dvb-frequency=226500000 :dvb-srate=2318' cannot be detected. Have a look at the log for details.
Back to top
View user's profile Send_private_message 
Billtoo


Joined: 07 Apr 2009
Posts: 2128
Location: Ontario Canada

PostPosted: Fri 10 Aug 2012, 21:03    Post_subject:  

.

removed

Edited_time_total
Back to top
View user's profile Send_private_message 
splot


Joined: 03 Aug 2012
Posts: 35

PostPosted: Fri 10 Aug 2012, 22:03    Post_subject:  

Thanks billtoo.

I noticed that this pkg is 12MB, and the other 2 I tried are 5MB, and I was sure this was going to be the one to put an end to the errors.

Now the error msg is different, but similar.

Quote:
main error: no suitable demux module for `dvb/ts://'


Am I getting closer?
Back to top
View user's profile Send_private_message 
pemasu


Joined: 08 Jul 2009
Posts: 5463
Location: Finland

PostPosted: Sat 11 Aug 2012, 02:51    Post_subject:  

Billtoo. I believe you need libdvb stuff for your vlc compile. I am not sure of all the needed stuff, but here is some advice: libdvb-dev, (maybe lib also), libdvbpsi-dev (maybe libdvbpsi6 also).
Or...maybe it is included but you need to add above libs to the Puppy from PPM.

You can check what modules compiled vlc includes with this command in console:
vlc -vvv --list
Back to top
View user's profile Send_private_message 
Sylvander

Joined: 15 Dec 2008
Posts: 3460
Location: West Lothian, Scotland, UK

PostPosted: Sat 11 Aug 2012, 06:37    Post_subject:  

Installed VLC using link given above, ran it in a terminal and got:
Code:
# vl
vlc          vlc-wrapper  vlock       
# vlc
VLC media player 2.0.3 Twoflower (revision 2.0.2-93-g77aa89e)
[0x80ce0b8] main interface error: no suitable interface module
[0x8053150] main libvlc error: interface "globalhotkeys,none" initialization failed
[0x8053150] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
[0x80ce098] main interface error: option qt-volume-complete does not exist
[0x80ce098] skins2 interface error: no suitable dialogs provider found (hint: compile the qt4 plugin, and make sure it is loaded properly)
[0x80ce098] skins2 interface error: cannot instantiate qt4 dialogs provider
[0x80ce098] [cli] lua interface: Listening on host "*console".
VLC media player 2.0.3 Twoflower
Command Line Interface initialized. Type `help' for help.
>


Missing:
Libraries:
libqt4.so.4
libqtgui.so.4
lib264.so.125
libxcb-composite.so.0
lixcb-xv.so.0

Dependencies:
gdk_pixbuf10
imlib
qt

missinglibs_details.txt:
Code:
File /root/programs/vlc-2.0.3/modules/codec/.libs/libx264_plugin.soT has these missing library files:
 libx264.so.125
File /root/programs/vlc-2.0.3/modules/codec/.libs/libx264_plugin.so has these missing library files:
 libx264.so.125
File /root/programs/vlc-2.0.3/modules/gui/qt4/.libs/libqt4_plugin.so has these missing library files:
 libQtGui.so.4 libQtCore.so.4
File /root/programs/vlc-2.0.3/modules/gui/qt4/.libs/libqt4_plugin.soT has these missing library files:
 libQtGui.so.4 libQtCore.so.4
File /root/programs/vlc-2.0.3/modules/access/.libs/libxcb_screen_plugin.soT has these missing library files:
 libxcb-composite.so.0
File /root/programs/vlc-2.0.3/modules/access/.libs/libxcb_screen_plugin.so has these missing library files:
 libxcb-composite.so.0
File /root/programs/vlc-2.0.3/modules/video_output/.libs/libxcb_xv_plugin.soT has these missing library files:
 libxcb-xv.so.0
File /root/programs/vlc-2.0.3/modules/video_output/.libs/libxcb_xv_plugin.so has these missing library files:
 libxcb-xv.so.0
File /usr/lib/vlc/plugins/codec/libx264_plugin.so has these missing library files:
 libx264.so.125
File /usr/lib/vlc/plugins/gui/libqt4_plugin.so has these missing library files:
 libQtGui.so.4 libQtCore.so.4
File /usr/lib/vlc/plugins/access/libxcb_screen_plugin.so has these missing library files:
 libxcb-composite.so.0
File /usr/lib/vlc/plugins/video_output/libxcb_xv_plugin.so has these missing library files:
 libxcb-xv.so.0
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 3 of 11 Posts_count   Goto page: Previous 1, 2, 3, 4, 5, ..., 9, 10, 11 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0956s ][ Queries: 13 (0.0056s) ][ GZIP on ]